package com.sdtool.common.tdoc;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Administrator on 2017-03-28.
 */
public class TAppModule {
    private String moduleName;
    private String url;
    private Integer moduleId;
    private List<TAppMethod> methodList = new ArrayList<>();

    public String getModuleName() {
        return moduleName;
    }

    public TAppModule setModuleName(String moduleName) {
        this.moduleName = moduleName;
        return this;
    }

    public String getUrl() {
        return url;
    }

    public TAppModule setUrl(String url) {
        this.url = url;
        return this;
    }

    public Integer getModuleId() {
        return moduleId;
    }

    public TAppModule setModuleId(Integer moduleId) {
        this.moduleId = moduleId;
        return this;
    }

    public void addMethod(TAppMethod method) {
        methodList.add(method);
    }

    public List<TAppMethod> getMethodList() {
        return methodList;
    }
}
